
package com.localmatters.mobile.weather.mag;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.localmatters.mobile.weather.mag package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Weather_QNAME = new QName("http://weather.myareaguide.com", "Weather");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.localmatters.mobile.weather.mag
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link USForecastResponse }
     * 
     */
    public USForecastResponse createUSForecastResponse() {
        return new USForecastResponse();
    }

    /**
     * Create an instance of {@link USForecast }
     * 
     */
    public USForecast createUSForecast() {
        return new USForecast();
    }

    /**
     * Create an instance of {@link WeatherListing }
     * 
     */
    public WeatherListing createWeatherListing() {
        return new WeatherListing();
    }

    /**
     * Create an instance of {@link CanadaForecast }
     * 
     */
    public CanadaForecast createCanadaForecast() {
        return new CanadaForecast();
    }

    /**
     * Create an instance of {@link StatusMessage }
     * 
     */
    public StatusMessage createStatusMessage() {
        return new StatusMessage();
    }

    /**
     * Create an instance of {@link Forecast }
     * 
     */
    public Forecast createForecast() {
        return new Forecast();
    }

    /**
     * Create an instance of {@link ArrayOfForecast }
     * 
     */
    public ArrayOfForecast createArrayOfForecast() {
        return new ArrayOfForecast();
    }

    /**
     * Create an instance of {@link CityInfo }
     * 
     */
    public CityInfo createCityInfo() {
        return new CityInfo();
    }

    /**
     * Create an instance of {@link CanadaForecastResponse }
     * 
     */
    public CanadaForecastResponse createCanadaForecastResponse() {
        return new CanadaForecastResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WeatherListing }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weather.myareaguide.com", name = "Weather")
    public JAXBElement<WeatherListing> createWeather(WeatherListing value) {
        return new JAXBElement<WeatherListing>(_Weather_QNAME, WeatherListing.class, null, value);
    }

}
