
package com.localmatters.mobile.weather.mag;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WeatherListing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WeatherListing">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Message" type="{http://weather.myareaguide.com}StatusMessage" minOccurs="0"/>
 *         &lt;element name="Search" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="City" type="{http://weather.myareaguide.com}CityInfo" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="FiveDayForecast" type="{http://weather.myareaguide.com}ArrayOfForecast" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WeatherListing", propOrder = {
    "message",
    "search",
    "city",
    "fiveDayForecast"
})
public class WeatherListing {

    @XmlElement(name = "Message")
    protected StatusMessage message;
    @XmlElement(name = "Search")
    protected String search;
    @XmlElement(name = "City", required = true)
    protected List<CityInfo> city;
    @XmlElement(name = "FiveDayForecast")
    protected ArrayOfForecast fiveDayForecast;

    /**
     * Gets the value of the message property.
     * 
     * @return
     *     possible object is
     *     {@link StatusMessage }
     *     
     */
    public StatusMessage getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusMessage }
     *     
     */
    public void setMessage(StatusMessage value) {
        this.message = value;
    }

    /**
     * Gets the value of the search property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSearch() {
        return search;
    }

    /**
     * Sets the value of the search property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSearch(String value) {
        this.search = value;
    }

    /**
     * Gets the value of the city property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the city property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCity().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CityInfo }
     * 
     * 
     */
    public List<CityInfo> getCity() {
        if (city == null) {
            city = new ArrayList<CityInfo>();
        }
        return this.city;
    }

    /**
     * Gets the value of the fiveDayForecast property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfForecast }
     *     
     */
    public ArrayOfForecast getFiveDayForecast() {
        return fiveDayForecast;
    }

    /**
     * Sets the value of the fiveDayForecast property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfForecast }
     *     
     */
    public void setFiveDayForecast(ArrayOfForecast value) {
        this.fiveDayForecast = value;
    }

}
